﻿using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System;
using System.IO;
using System.Windows.Forms;

namespace _3DSerialization
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      tChart1.Aspect.View3D = true;
      tChart1.Aspect.Zoom = 80;
      tChart1.Aspect.Orthogonal = false;
      tChart1.Aspect.Chart3DPercent = 100;
      tChart1.Tools.Add(typeof(Rotate));

      var surface = new Surface(tChart1.Chart);

      int count = 20;

      for (int x = 0; x < count; x++)
      {
        for (int z = 0; z < count; z++)
        {
          double y = Math.Cos(x) + Math.Sin(z);
          surface.Add(x, y, z);
        }
      }
    }

    private void button1_Click(object sender, EventArgs e)
    {
      using (var stream = new MemoryStream())
      {
        tChart1.Export.Template.IncludeData = true; //default setting
        tChart1.Export.Template.Save(stream);

        stream.Position = 0;
        tChart2.Import.Template.Load(stream);
      }
    }
  }
}
